<template>
	<div class="w-full space-y-3">
		<template v-if="data && data.length > 0">
			<component
				v-for="(item, index) in data"
				:key="item.id"
				:id="item.id"
				:is="summaryAnswerTypeMapCom[item.type]"
				:data="item"
				:originData="originData"
				:summaryIndex="index"
			></component>
		</template>
	</div>
</template>

<script setup lang="ts">
import { chatComProps } from '../common';
import { summaryAnswerTypeMapCom } from './components/types';
const props = defineProps(chatComProps);
</script>
<style scoped lang="scss"></style>
